java.util

## Interface PrimitiveIterator.OfInt

- All Superinterfaces:
    Iterator<Integer>, PrimitiveIterator<Integer,IntConsumer>
  Enclosing interface:
    PrimitiveIterator<T,T_CONS>

      public static interface PrimitiveIterator.OfInt
      extends PrimitiveIterator<Integer,IntConsumer>

  An Iterator specialized for `int` values.
  Since:
    1.8

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.PrimitiveIterator

      `PrimitiveIterator.OfDouble, PrimitiveIterator.OfInt, PrimitiveIterator.OfLong`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `forEachRemaining(Consumer<? super Integer> action)` Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
    `default void` | `forEachRemaining(IntConsumer action)` Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
    `default Integer` | `next()` Returns the next element in the iteration.
    `int` | `nextInt()` Returns the next `int` element in the iteration.

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, remove`

- - ### Method Detail

    - #### nextInt

          int nextInt()

      Returns the next `int` element in the iteration.
      Returns:
        the next `int` element in the iteration
      Throws:
        `NoSuchElementException` - if the iteration has no more elements

    - #### forEachRemaining

          default void forEachRemaining(IntConsumer action)

      Performs the given action for each remaining element until all elements have been processed or the action throws an exception. Actions are performed in the order of iteration, if that order is specified. Exceptions thrown by the action are relayed to the caller.
      Specified by:
        `forEachRemaining` in interface `PrimitiveIterator<Integer,IntConsumer>`
      Parameters:
        `action` - The action to be performed for each element
      Throws:
        `NullPointerException` - if the specified action is null

    - #### next

          default Integer next()

      Returns the next element in the iteration.
      Specified by:
        `next` in interface `Iterator<Integer>`
      Returns:
        the next element in the iteration

    - #### forEachRemaining

          default void forEachRemaining(Consumer<? super Integer> action)

      Performs the given action for each remaining element until all elements have been processed or the action throws an exception. Actions are performed in the order of iteration, if that order is specified. Exceptions thrown by the action are relayed to the caller.
      Specified by:
        `forEachRemaining` in interface `Iterator<Integer>`
      Parameters:
        `action` - The action to be performed for each element

Copyright © 2025 API Design. All Rights Reserved.